liborigin2: OriginFile Class Reference

liborigin2 29/08/2011

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
OriginFile Class Reference

`#include <OriginFile.h>`

## Public Member Functions
Origin::Function & | function (vector< Origin::Function >::size_type f) const
| get function f More...
vector< Origin::Function > ::size_type | functionCount () const
| get number of functions More...
vector< Origin::Function > ::size_type | functionIndex (const string &name) const
| get name of function s More...
Origin::Graph & | graph (vector< Origin::Graph >::size_type g) const
| get graph g More...
vector< Origin::Graph >::size_type | graphCount () const
| get number of graphs More...
Origin::Matrix & | matrix (vector< Origin::Matrix >::size_type m) const
| get matrix m More...
vector< Origin::Matrix >::size_type | matrixCount () const
| get number of matrices More...
Origin::Note & | note (vector< Origin::Note >::size_type n) const
| get note n More...
vector< Origin::Note >::size_type | noteCount () const
| get number of notes More...
| OriginFile (const string &fileName)
bool | parse ()
| parse Origin file More...
const tree< Origin::ProjectNode > * | project () const
| get project tree More...
string | resultsLogString () const
| get Results Log More...
Origin::SpreadSheet & | spread (vector< Origin::SpreadSheet >::size_type s) const
| get spreadsheet s More...
vector< Origin::SpreadSheet > ::size_type | spreadCount () const
| get number of spreadsheets More...
double | version () const
| get version of Origin file More...

## Private Attributes
unsigned int | buildVersion
unsigned int | fileVersion
auto_ptr< OriginParser > | parser

## Constructor & Destructor Documentation

OriginFile::OriginFile | ( | const string & | fileName) |  |

References buildVersion, createOrigin410Parser(), createOrigin500Parser(), createOrigin610Parser(), createOrigin700Parser(), createOrigin750Parser(), createOrigin800Parser(), createOrigin810Parser(), createOrigin850Parser(), fileVersion, LOG_PRINT, and parser.

## Member Function Documentation

Origin::Function & OriginFile::function | ( | vector< Origin::Function >::size_type | f) |  | const

get function f

References parser.

vector< Origin::Function >::size_type OriginFile::functionCount | ( | ) |  | const

get number of functions

References parser.

vector< Origin::Function >::size_type OriginFile::functionIndex | ( | const string & | name) |  | const

get name of function s

References parser.

Origin::Graph & OriginFile::graph | ( | vector< Origin::Graph >::size_type | g) |  | const

get graph g

References parser.

vector< Origin::Graph >::size_type OriginFile::graphCount | ( | ) |  | const

get number of graphs

References parser.

Origin::Matrix & OriginFile::matrix | ( | vector< Origin::Matrix >::size_type | m) |  | const

get matrix m

References parser.

vector< Origin::Matrix >::size_type OriginFile::matrixCount | ( | ) |  | const

get number of matrices

References parser.

Origin::Note & OriginFile::note | ( | vector< Origin::Note >::size_type | n) |  | const

get note n

References parser.

vector< Origin::Note >::size_type OriginFile::noteCount | ( | ) |  | const

get number of notes

References parser.

bool OriginFile::parse | ( | ) |  |

parse Origin file

References buildVersion, and parser.

const tree< Origin::ProjectNode > * OriginFile::project | ( | ) |  | const

get project tree

References parser.

string OriginFile::resultsLogString | ( | ) |  | const

get Results Log

References parser.

Origin::SpreadSheet & OriginFile::spread | ( | vector< Origin::SpreadSheet >::size_type | s) |  | const

get spreadsheet s

References parser.

vector< Origin::SpreadSheet >::size_type OriginFile::spreadCount | ( | ) |  | const

get number of spreadsheets

References parser.

double OriginFile::version | ( | ) |  | const

get version of Origin file

References fileVersion.

## Member Data Documentation

unsigned int OriginFile::buildVersion
| private

Referenced by OriginFile(), and parse().

unsigned int OriginFile::fileVersion
| private

Referenced by OriginFile(), and version().

auto_ptr<OriginParser> OriginFile::parser
| private

Referenced by function(), functionCount(), functionIndex(), graph(), graphCount(), matrix(), matrixCount(), note(), noteCount(), OriginFile(), parse(), project(), resultsLogString(), spread(), and spreadCount().

The documentation for this class was generated from the following files:

- /build/liborigin2/src/liborigin2/OriginFile.h
- /build/liborigin2/src/liborigin2/OriginFile.cpp